greaterThan(QT_MAJOR_VERSION,4): QT +=widgets

TARGET = forum
TEMPLATE = app
CONFIG +=debug_and_release qt

SOURCES +=src/*.cxx
HEADERS +=src/*.h

INCLUDEPATH +=/home/chenrf/Documents/OCCT/INSTALL/inc

OCCT_DEFINES = $$(CSF_DEFINES)

DEFINES = CSFDB $$split(OCCT_DEFINES, ;)

unix {
    UNAME = $$system(uname -s)
    INCLUDES = $$(CSF_OPT_INC)
    PATHS = $$split(INCLUDES,":")
    for(path, PATHS):INCLUDEPATH += $${path}
    LIBLIST = $$(LD_LIBRARY_PATH)
    LIBPATHS = $$split(LIBLIST,":")
    for(lib, LIBPATHS):LIBS += -L$${lib}

    CONFIG(debug, debug|release) {
        DESTDIR = ./$$UNAME/bind
        OBJECTS_DIR = ./$$UNAME/objd
        MOC_DIR = ./$$UNAME/mocd
    } else {
        DESTDIR = ./$$UNAME/bin
        OBJECTS_DIR = ./$$UNAME/obj
        MOC_DIR = ./$$UNAME/moc
    }

    MACOSX_USE_GLX = $$(MACOSX_USE_GLX)

    !macx | equals(MACOSX_USE_GLX, true): INCLUDEPATH += $$QMAKE_INCDIR_X11 $$QMAKE_INCDIR_OPENGL $$QMAKE_INCDIR_THREAD
    !macx | equals(MACOSX_USE_GLX, true): DEFINES += LIN LININTEL
    equals(MACOSX_USE_GLX, true): DEFINES += MACOSX_USE_GLX
    DEFINES += OCC_CONVERT_SIGNALS QT_NO_STL
    !macx | equals(MACOSX_USE_GLX, true): LIBS += -L$$QMAKE_LIBDIR_X11 $$QMAKE_LIBS_X11 -L$$QMAKE_LIBDIR_OPENGL $$QMAKE_LIBS_OPENGL $$QMAKE_LIBS_THREAD

}

LIBS += -lTKernel -lPTKernel -lTKMath -lTKService -lTKV3d -lTKOpenGl \
        -lTKBRep -lTKIGES -lTKSTL -lTKVRML -lTKSTEP -lTKSTEPAttr -lTKSTEP209 \
        -lTKSTEPBase -lTKShapeSchema -lTKGeomBase -lTKGeomAlgo -lTKG3d -lTKG2d \
        -lTKXSBase -lTKPShape -lTKShHealing -lTKHLR -lTKTopAlgo -lTKMesh -lTKPrim \
        -lTKCDF -lTKBool -lTKBO -lTKFillet -lTKOffset \
        -lTKXCAF -lTKXCAFSchema -lTKXmlXCAF -lTKCAF -lTKDCAF -lTKLCAF -lTKPCAF \
        -lTKPLCAF -lTKXDESTEP -lQtOpenGL

LIBS += -lFWOSPlugin -lPTKernel -lTKBinL -lTKBin -lTKBinTObj -lTKBinXCAF \
        -lTKBool -lTKBO -lTKBRep -lTKCAF -lTKCDF -lTKDCAF -lTKDraw \
        -lTKernel -lTKFeat -lTKFillet -lTKG2d -lTKG3d -lTKGeomAlgo -lTKGeomBase \
        -lTKHLR -lTKIGES -lTKIVtkDraw -lTKIVtk -lTKLCAF -lTKMath -lTKMesh \
        -lTKMeshVS -lTKNIS -lTKOffset -lTKOpenGl -lTKPCAF -lTKPLCAF \
        -lTKPrim -lTKPShape -lTKQADraw -lTKService -lTKShapeSchema \
        -lTKShHealing -lTKStdLSchema -lTKStdSchema -lTKSTEP209 -lTKSTEPAttr \
        -lTKSTEPBase -lTKSTEP -lTKSTL -lTKTObjDRAW -lTKTObj -lTKTopAlgo \
        -lTKTopTest -lTKV3d -lTKViewerTest -lTKVoxel -lTKVRML -lTKXCAFSchema \
        -lTKXCAF -lTKXDEDRAW -lTKXDEIGES -lTKXDESTEP -lTKXMesh -lTKXmlL \
        -lTKXml -lTKXmlTObj -lTKXmlXCAF -lTKXSBase -lTKXSDRAW
