#include "Application.h"

//occ
#include <TopoDS_Shape.hxx>
#include <AIS_Shape.hxx>
#include <BRepPrimAPI_MakeBox.hxx>

appWindow::appWindow(QWidget *parent):QMainWindow(parent)
{
    myViewer = new Viewer(this);
    myViewer->setFocus();
    setCentralWidget(myViewer);

    myContext = myViewer->getIC();
    TopoDS_Shape box = makeBox();
    Handle(AIS_Shape) AISBox = new AIS_Shape(box);

    myContext->SetDisplayMode(AISBox,1,Standard_False);
    myContext->Display(AISBox);


    resize(800,500);

}

appWindow::~appWindow()
{
}

TopoDS_Shape appWindow::makeBox()
{
    TopoDS_Shape box = BRepPrimAPI_MakeBox(1000,1000,1000).Shape();
    return box;
}
