#pragma once

#include <QWidget>

//occ
#include <AIS_InteractiveContext.hxx>
#include <V3d_View.hxx>
#include <OpenGl_GraphicDriver.hxx>

class Viewer : public QWidget
{
    Q_OBJECT
public:
    Viewer(QWidget *parent);
    ~Viewer();

    //occ
    Handle(AIS_InteractiveContext) getIC() const{return myIC;}
    Handle(V3d_View) getView() const{return myView;}
    Handle(OpenGl_GraphicDriver) getGraphicDriver() const{return myGraphicDriver;}

protected:
    virtual void paintEvent(QPaintEvent *e);
    virtual void resizeEvent(QResizeEvent *e);

private:
    void initXW();
    //occ
    Handle(AIS_InteractiveContext) myIC;
    Handle(V3d_View) myView;
    Handle(OpenGl_GraphicDriver) myGraphicDriver;
};
